org.keycloak.authentication.authenticators.x509

## Class CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder

- java.lang.Object
- - org.keycloak.authentication.authenticators.x509.CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder

- Enclosing class:
    CertificateValidator.CertificateValidatorBuilder

      public class CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder.GotCRL`
    `class` | `CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder.GotCRLDP`
    `class` | `CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder.GotCRLRelativePath`
    `class` | `CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder.GotOCSP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RevocationStatusCheckBuilder(CertificateValidator.CertificateValidatorBuilder parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder.GotCRL` | `cRLEnabled(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevocationStatusCheckBuilder

          protected RevocationStatusCheckBuilder(CertificateValidator.CertificateValidatorBuilder parent)

  - ### Method Detail

    - #### cRLEnabled

          public CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder.GotCRL cRLEnabled(boolean value)

Copyright © 2020 JBoss by Red Hat. All rights reserved.